CVE-2015-1420 file_handle size verification





Versions Affected
  • Ubuntu 14.04

A race condition was discovered in the Linux kernel’s file_handle size verification. A local user could exploit this flaw to read potentially sensitive memory locations.

The Cloud Foundry project released a BOSH stemcell version 3012 that has the patched version of the Linux kernel.

Pivotal is releasing version 1.5.1 of Pivotal Elastic Runtime which references this patched BOSH stemcell. The other Pivotal Cloud Foundry products do not expose this vulnerability to users of the system.


Users of affected versions should apply the following mitigation:

  • The Cloud Foundry project recommends that Cloud Foundry Runtime Deployments run with BOSH stemcells 3012 or later when they are available, which contain the patched version of Linux kernel that resolves CVE-2015-1420.
  • Pivotal recommends that customers upgrade to the 1.5.1 or later versions of Pivotal CF Elastic Runtime, which references the 3012 stemcell. The IaaS-specific version of the stemcell will also need to be uploaded and installed along with Elastic Runtime, as it contains the fix to the kernel vulnerability identified in CVE-2015-1420.

No names were given in announcement